#include <iostream>

using namespace std;

int main(){
        ios_base::sync_with_stdio(false);
        cin.tie(NULL);

        unsigned int a, b;
        unsigned long long rezultat = 0;

        cin >> a >> b;

        unsigned long long x = 1;               // 10 ^ broj cifara u rezultatu
        while ((a >= 1) && (b >= 1)){

                if ((a % 10) == (b % 10)){
                        rezultat += (a % 10) * 11 * x;
                        x *= 100;
                } else if ((a % 10) > (b % 10)){
                        rezultat += (a % 10) * x;
                        x *= 10;
                } else if ((b % 10) > (a % 10)){
                        rezultat += (b % 10) * x;
                        x *= 10;
                }

                a /= 10;
                b /= 10;
        }

        rezultat += a * x + b * x;

        cout << rezultat;

        return 0;
}